package org.springblade.system.service;

import org.springblade.common.core.domain.R;
import org.springblade.system.domain.FilesClassifyMarkDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/9 - 17:04
 */
public interface FilesClassifyMarkService {
    List<FilesClassifyMarkDto> list(FilesClassifyMarkDto dto);

    R add(FilesClassifyMarkDto dto);

    R edit(FilesClassifyMarkDto dto);

    Integer del(FilesClassifyMarkDto dto);

    Integer isUseByFilesContents(String id);
}
